Bug 1297411 - Review Request: pdc-client - Client library and console client for Product Definition Center
Review Request: pdc-client - Client library and console client for Product De...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
: Reopened
Depends On: 1296974
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 07:48 EST by Stanislav Ochotnicky
Modified: 2016-04-06 13:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 13:21:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+


Attachments (Terms of Use)
A patch to make the default configuration point to fedora's prod instance. (1.37 KB, application/mbox)
2016-02-08 08:32 EST, Ralph Bean
no flags Details

  None (edit)
Description Stanislav Ochotnicky 2016-01-11 07:48:26 EST
Spec URL: http://sochotni.fedorapeople.org//pdc-client.spec
SRPM URL: http://sochotni.fedorapeople.org//pdc-client-0.1.9-1.fc22.src.rpm

Description:
This client package contains two separate Product Definition Center clients and
API module. Both clients contain extensive built-in help. Just run the
executable with -h or --help argument.

1. pdc_client

This is a very simple client. Essentially this is just a little more convenient
than using curl manually. Each invocation of this client obtains a token and
then performs a single request.

This client is not meant for direct usage, but just as a helper for integrating
with PDC from languages where it might be easier than performing the network
requests manually.

2. pdc

This is much more user friendly user interface. A single invocation can perform
multiple requests depending on what subcommand you used.

The pdc client supports Bash completion if argcomplete Python package is
installed.

3. Python API (pdc_client)

When writing a client code interfacing with PDC server, you might find
pdc_client module handy. It provides access to the configuration defined above
and automates obtaining authorization token.
Comment 1 Stanislav Ochotnicky 2016-01-11 07:50:04 EST
I'll note this is not final version and will likely need tweaks as upstream fixes up their pypi releases. But should be close enough for initial review. 

I have included py3 parts even if they are not used right now.
Comment 2 Stanislav Ochotnicky 2016-01-22 10:14:00 EST
Updated for latest release. Upstream now has setup.py and should be making releases normally (hopefully :-))

Spec URL: http://sochotni.fedorapeople.org/packages/pdc-client.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/pdc-client-0.2.0.2-1.fc22.src.rpm
Comment 3 Upstream Release Monitoring 2016-01-28 02:36:56 EST
sochotni's scratch build of pdc-client-0.2.0.2-1.fc22.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12709037
Comment 4 Upstream Release Monitoring 2016-01-28 02:40:58 EST
sochotni's scratch build of pdc-client-0.2.0.2-1.fc22.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12709079
Comment 5 Ralph Bean 2016-02-08 08:32 EST
Created attachment 1122176 [details]
A patch to make the default configuration point to fedora's prod instance.
Comment 6 Upstream Release Monitoring 2016-02-08 08:36:50 EST
ralph's scratch build of pdc-client-0.2.0.2-2.fc23.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12902357
Comment 7 Upstream Release Monitoring 2016-02-08 08:40:12 EST
ralph's scratch build of pdc-client-0.2.0.2-2.fc23.src.rpm for epel7-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12902422
Comment 8 Stanislav Ochotnicky 2016-02-08 11:22:18 EST
Good point, forgot to change the URL after the new PDC came up.

New spec/srpm (just applied your patch):
Spec URL: http://sochotni.fedorapeople.org/packages/pdc-client.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/pdc-client-0.2.0.2-2.fc22.src.rpm
Comment 9 Ralph Bean 2016-02-09 03:18:25 EST
Looks good to me.  Nice, simple python package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 35 files have
     unknown license. Detailed output of licensecheck in
     /home/threebean/1297411-pdc-client/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /etc/bash_completion.d(lldpad, hub, fcoe-utils, filesystem, yum-utils,
     lxc, bash-completion, fedpkg, udisks, devassistant-cli)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -pdc-client
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pdc-client-0.2.0.2-1.fc23.noarch.rpm
          python2-pdc-client-0.2.0.2-1.fc23.noarch.rpm
          pdc-client-0.2.0.2-1.fc23.src.rpm
pdc-client.noarch: W: spelling-error %description -l en_US subcommand -> sub command, sub-command, commandant
pdc-client.noarch: W: spelling-error %description -l en_US argcomplete -> complete
pdc-client.noarch: W: non-conffile-in-etc /etc/bash_completion.d/pdc.bash
pdc-client.noarch: W: no-manual-page-for-binary pdc
python2-pdc-client.noarch: W: spelling-error %description -l en_US programatically -> grammatically, problematically, pragmatically
pdc-client.src: W: spelling-error %description -l en_US subcommand -> sub command, sub-command, commandant
pdc-client.src: W: spelling-error %description -l en_US argcomplete -> complete
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
pdc-client.noarch: W: non-conffile-in-etc /etc/bash_completion.d/pdc.bash
pdc-client.noarch: W: no-manual-page-for-binary pdc
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-pdc-client (rpmlib, GLIBC filtered):
    python(abi)
    python-requests-kerberos
    python2-beanbag

pdc-client (rpmlib, GLIBC filtered):
    /usr/bin/python2
    config(pdc-client)
    python2-pdc-client



Provides
--------
python2-pdc-client:
    python-pdc-client
    python2-pdc-client

pdc-client:
    config(pdc-client)
    pdc-client



Source checksums
----------------
https://pypi.python.org/packages/source/p/pdc-client/pdc-client-0.2.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : b9a0b6a9e2a4702211f4bf7fb700da364d9068c20ee7d1714b041caf46c49e6e
  CHECKSUM(SHA256) upstream package : b9a0b6a9e2a4702211f4bf7fb700da364d9068c20ee7d1714b041caf46c49e6e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1297411 -L ./rpms/ --verbose
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/threebean/./rpms/python3-beanbag-1.9.2-2.fc23.noarch.rpm
    /home/threebean/./rpms/python2-beanbag-1.9.2-2.fc23.noarch.rpm
Comment 10 Gwyn Ciesla 2016-02-09 12:26:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pdc-client
Comment 11 Fedora Update System 2016-02-11 07:24:56 EST
pdc-client-0.2.0.2-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-748c15ba3c
Comment 12 Fedora Update System 2016-02-11 07:24:57 EST
pdc-client-0.2.0.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b092329a1
Comment 13 Fedora Update System 2016-02-11 07:24:58 EST
pdc-client-0.2.0.2-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-748c15ba3c
Comment 14 Fedora Update System 2016-02-12 12:21:09 EST
pdc-client-0.2.0.2-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-748c15ba3c
Comment 15 Fedora Update System 2016-02-14 11:23:52 EST
pdc-client-0.2.0.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b092329a1
Comment 16 Fedora Update System 2016-03-09 09:28:19 EST
pdc-client-0.2.0.2-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-10 03:55:39 EST
pdc-client-0.9.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-360eaf7066
Comment 18 Fedora Update System 2016-03-10 11:52:17 EST
pdc-client-0.9.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-360eaf7066
Comment 19 Fedora Update System 2016-04-06 13:21:12 EDT
pdc-client-0.9.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.